Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly.xpath
Class XPathComparator

    java.lang.Object
      org.apache.commons.jelly.xpath.XPathComparator

All Implemented Interfaces:
  java.util.Comparator

    public class XPathComparator

extends java.lang.Object
implements java.util.Comparator

Compares xml nodes by extracting the value at xpath and comparing it.

Version:
  $Id: XPathComparator.java 155420 2005-02-26 13:06:03Z dirkv $
Author:
  Jason Horman

Nested Class Summary
`static class` | `XPathComparator.XPathSortException` My own runtime exception in case something goes wrong with sort.

Constructor Summary
`XPathComparator()`
`XPathComparator(org.jaxen.XPath xpath, boolean descending)`

Method Summary
`int` | `compare(org.dom4j.Node n1, org.dom4j.Node n2)`
`int` | `compare(java.lang.Object o1, java.lang.Object o2)`
`protected java.lang.Comparable` | `getComparableValue(java.lang.Object value)` Turns the XPath result value into a Comparable object.
`org.jaxen.XPath` | `getXpath()`
`void` | `setDescending(boolean descending)`
`void` | `setXpath(org.jaxen.XPath xpath)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### XPathComparator

    public XPathComparator()

### XPathComparator

    public XPathComparator(org.jaxen.XPath xpath,
                           boolean descending)

Method Detail

### setXpath

    public void setXpath(org.jaxen.XPath xpath)

### getXpath

    public org.jaxen.XPath getXpath()

### setDescending

    public void setDescending(boolean descending)

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

  Specified by:
    `compare` in interface `java.util.Comparator`

### compare

    public int compare(org.dom4j.Node n1,
                       org.dom4j.Node n2)

### getComparableValue

    protected java.lang.Comparable getComparableValue(java.lang.Object value)

  Turns the XPath result value into a Comparable object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.